Skip to main content
GET
/
session
/
{session_id}
Get Session Details
curl --request GET \
  --url https://api.finic.ai/session/{session_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.finic.ai/session/{session_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.finic.ai/session/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "browser_id": "<string>",
  "agent_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "max_retries": 123,
  "input": {},
  "attempts": [
    {
      "logs": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token for authentication

Path Parameters

session_id
string
required

Unique identifier of the session

Response

Session details retrieved successfully

id
string

Unique identifier of the session

browser_id
string

ID of the associated browser

agent_id
string

ID of the associated agent

status
enum<string>

Current status of the session

Available options:
RUNNING,
SUCCESS,
FAILED
created_at
string<date-time>

Timestamp when the session was created

max_retries
integer | null

Maximum number of retries to attempt

input
object

Input parameters for the automation

attempts
object[]

List of execution attempts